class StatEntModel {
  String? yearMonth;
  List<ExcutiveStatisticsOfStatEntModel>? excutiveStatistics;

  StatEntModel({
    this.yearMonth,
    this.excutiveStatistics,
  });

  StatEntModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    yearMonth = map['yearMonth'];
    excutiveStatistics = List<ExcutiveStatisticsOfStatEntModel>.from(
        (map["excutiveStatistics"] ?? [])
            .map((x) => ExcutiveStatisticsOfStatEntModel.fromJson(x)));
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['yearMonth'] = this.yearMonth;
    json['excutiveStatistics'] =
        List<dynamic>.from((excutiveStatistics ?? []).map((x) => x.toJson()));

    return json;
  }
}

class ExcutiveStatisticsOfStatEntModel {
  String? id;
  String? name;
  num? finishedCount;
  num? todoCount;
  num? finishedRate;
  dynamic cost;
  dynamic finishedAddCount;
  dynamic todoAddCount;
  num? finishedChangeRate;

  ExcutiveStatisticsOfStatEntModel({
    this.id,
    this.name,
    this.finishedCount,
    this.todoCount,
    this.finishedRate,
    this.cost,
    this.finishedAddCount,
    this.todoAddCount,
    this.finishedChangeRate,
  });

  ExcutiveStatisticsOfStatEntModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    name = map['name'];
    finishedCount = map['finishedCount'];
    todoCount = map['todoCount'];
    finishedRate = map['finishedRate'];
    cost = map['cost'];
    finishedAddCount = map['finishedAddCount'];
    todoAddCount = map['todoAddCount'];
    finishedChangeRate = map['finishedChangeRate'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['name'] = this.name;
    json['finishedCount'] = this.finishedCount;
    json['todoCount'] = this.todoCount;
    json['finishedRate'] = this.finishedRate;
    json['cost'] = this.cost;
    json['finishedAddCount'] = this.finishedAddCount;
    json['todoAddCount'] = this.todoAddCount;
    json['finishedChangeRate'] = this.finishedChangeRate;

    return json;
  }
}
